# PCMGSetResidual

Sets the function to be used to calculate the residual on the lth level.

### Synopsis

    #include "petscksp.h"
    #include "petscmg.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCMGSetResidual(PC pc,PetscInt l,PetscErrorCode (*residual)(Mat,Vec,Vec,Vec),Mat mat)

Collective on PC and Mat

### Input Parameters

| pc | - the multigrid context
| l | - the level (0 is coarsest) to supply
| residual | - function used to form residual (usually PCMGDefaultResidual)
| mat | - matrix associated with residual

### Keywords

MG, set, multigrid, residual, level

### See Also

PCMGDefaultResidual()

Level:advanced
Location: src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages